CalculationsUFF
Date: 2019-10-22

org.jmol.minimize.forcefield

## Class CalculationsUFF

- java.lang.Object
- - org.jmol.minimize.forcefield.Calculations
  - - org.jmol.minimize.forcefield.CalculationsUFF

-     class CalculationsUFF
      extends Calculations

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Calculation` | `angleCalc`
    `(package private) Calculation` | `bondCalc`
    `(package private) static double` | `KCAL22`
    `(package private) static double` | `KCAL332`
    `(package private) static double` | `KCAL44`
    `(package private) static double` | `KCAL6`
    `(package private) static double` | `KCAL644`
    `(package private) Calculation` | `oopCalc`
    `(package private) static int` | `PAR_D`
    `(package private) static int` | `PAR_HARD`
    `(package private) static int` | `PAR_R`
    `(package private) static int` | `PAR_RADIUS`
    `(package private) static int` | `PAR_THETA`
    `(package private) static int` | `PAR_U`
    `(package private) static int` | `PAR_V`
    `(package private) static int` | `PAR_X`
    `(package private) static int` | `PAR_XI`
    `(package private) static int` | `PAR_Z`
    `(package private) static int` | `PAR_ZETA`
    `(package private) Calculation` | `torsionCalc`
    `(package private) Calculation` | `vdwCalc`

    - ### Fields inherited from class org.jmol.minimize.forcefield.Calculations

      `ac, angleCount, bondCount, CALC_ANGLE, CALC_DISTANCE, CALC_ES, CALC_MAX, CALC_OOP, CALC_STRETCH_BEND, CALC_TORSION, CALC_VDW, calculations, da, db, dc, dd, DEG_TO_RAD, ff, ffParams, gradients, ia, ib, ic, id, isPreliminary, KCAL_TO_KJ, logData, logging, loggingEnabled, minAngles, minAtoms, minBonds, minTorsions, parA, parB, parC, RAD_TO_DEG, silent, torsionCount, v1, v2, v3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculationsUFF(ForceField ff, java.util.Map<java.lang.Object,java.lang.Object> ffParams, MinAtom[] minAtoms, MinBond[] minBonds, MinAngle[] minAngles, MinTorsion[] minTorsions, MinPosition[] minPositions, javajs.util.Lst<MMConstraint> constraints)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static double` | `calculateR0(double ri, double rj, double chiI, double chiJ, double bondorder)`
    `(package private) double` | `compute(int iType, java.lang.Object[] dataIn)`
    `(package private) java.lang.String` | `getDebugHeader(int iType)`
    `protected java.lang.Object` | `getParameterObj(MinObject o)`
    `(package private) java.lang.String` | `getUnits()`
    `private static boolean` | `isInvertible(int n)`
    `(package private) boolean` | `setupCalculations()`

    - ### Methods inherited from class org.jmol.minimize.forcefield.Calculations

      `addForce, addForces, appendLogData, energyAngle, energyBond, energyES, energyOOP, energyStrBnd, energyStretchBend, energyTorsion, energyVDW, getAtomList, getConstraintList, getDebugFooter, getDebugHeader2, getDebugLine, getDebugLineC, getLogData, getParameter, isLinear, pairSearch, setAngleVariables, setConstraints, setCoords, setLoggingEnabled, setOopVariables, setPairVariables, setPreliminary, setSilent, setTorsionVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KCAL332

          static final double KCAL332

      See Also:
        Constant Field Values

    - #### KCAL644

          static final double KCAL644

      See Also:
        Constant Field Values

    - #### KCAL6

          static final double KCAL6

      See Also:
        Constant Field Values

    - #### KCAL22

          static final double KCAL22

      See Also:
        Constant Field Values

    - #### KCAL44

          static final double KCAL44

      See Also:
        Constant Field Values

    - #### PAR_R

          static final int PAR_R

      See Also:
        Constant Field Values

    - #### PAR_THETA

          static final int PAR_THETA

      See Also:
        Constant Field Values

    - #### PAR_X

          static final int PAR_X

      See Also:
        Constant Field Values

    - #### PAR_D

          static final int PAR_D

      See Also:
        Constant Field Values

    - #### PAR_ZETA

          static final int PAR_ZETA

      See Also:
        Constant Field Values

    - #### PAR_Z

          static final int PAR_Z

      See Also:
        Constant Field Values

    - #### PAR_V

          static final int PAR_V

      See Also:
        Constant Field Values

    - #### PAR_U

          static final int PAR_U

      See Also:
        Constant Field Values

    - #### PAR_XI

          static final int PAR_XI

      See Also:
        Constant Field Values

    - #### PAR_HARD

          static final int PAR_HARD

      See Also:
        Constant Field Values

    - #### PAR_RADIUS

          static final int PAR_RADIUS

      See Also:
        Constant Field Values

    - #### bondCalc

          Calculation bondCalc

    - #### angleCalc

          Calculation angleCalc

    - #### torsionCalc

          Calculation torsionCalc

    - #### oopCalc

          Calculation oopCalc

    - #### vdwCalc

          Calculation vdwCalc

  - ### Constructor Detail

    - #### CalculationsUFF

          CalculationsUFF(ForceField ff,
                          java.util.Map<java.lang.Object,java.lang.Object> ffParams,
                          MinAtom[] minAtoms,
                          MinBond[] minBonds,
                          MinAngle[] minAngles,
                          MinTorsion[] minTorsions,
                          MinPosition[] minPositions,
                          javajs.util.Lst<MMConstraint> constraints)

  - ### Method Detail

    - #### getUnits

          java.lang.String getUnits()

      Specified by:
        `getUnits` in class `Calculations`

    - #### setupCalculations

          boolean setupCalculations()

      Specified by:
        `setupCalculations` in class `Calculations`

    - #### isInvertible

          private static boolean isInvertible(int n)

    - #### calculateR0

          static double calculateR0(double ri,
                                    double rj,
                                    double chiI,
                                    double chiJ,
                                    double bondorder)

    - #### compute

          double compute(int iType,
                         java.lang.Object[] dataIn)

      Specified by:
        `compute` in class `Calculations`

    - #### getDebugHeader

          java.lang.String getDebugHeader(int iType)

      Specified by:
        `getDebugHeader` in class `Calculations`

    - #### getParameterObj

          protected java.lang.Object getParameterObj(MinObject o)

      Specified by:
        `getParameterObj` in class `Calculations`